Bug 491383 - davfs2 requires extra permissions
davfs2 requires extra permissions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On: 491382
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 13:52 EDT by Will Woods
Modified: 2009-06-10 04:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 491382
Environment:
Last Closed: 2009-06-10 04:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-03-20 13:52:30 EDT
+++ This bug was initially created as a clone of Bug #491382 +++

mount.davfs2 (provided by the davfs2 package) requires some permissions that other mount_t processes don't.

Suggested policy additions were:

/var/cache/davfs2(/.*)?  gen_context(system_u:object_r:mount_var_run_t,s0)
/var/run/davfs2(/.*)?    gen_context(system_u:object_r:mount_var_run_t,s0)

manage_dirs_pattern(mount_t,mount_var_run_t,mount_var_run_t)
manage_files_pattern(mount_t,mount_var_run_t,mount_var_run_t)

It also needs read access to /dev/random, and permission to send itself signals:

allow mount_t random_device_t:chr_file read;
allow mount_t self:process signal;
Comment 1 Miroslav Grepl 2009-03-23 13:29:24 EDT
Fixed in selinux-policy-3.3.1-129.fc9
Comment 2 Bug Zapper 2009-06-09 23:37:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.